/*
 * Copyright (c) 1994, 2021 Alex Leigh, All Rights Reserved
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ALEX LEIGH The copyright
 * notice above does not evidence any actual or intended publication of such
 * source code.
 *
 * Disclosure, copying, distribution, or transmission of this code without
 * express permission is prohibited.
 */

#include <stdio.h>
#include <mecha.h>

/**
 * Initialize libmecha. No function is provided to release / shut down libmecha resources prior to program termination.
 *
 * Returns MECHA_OK on success or MECHA_ERR on error. If MECHA_ERR is returned, initialization failed,
 * and no libmecha function should be called.
 *
 * @return MECHA_OK or MECHA_ERR
 */
int mFlib_init() {
    fprintf(stderr,
            "libmecha mk6 (GIPSY DANGER)\nCopyright (c) 1994,2021 C. Alexander Leigh.\nUse is subject to license terms.\n");

    mFlog_init();
    mFnet_sock_init();

    return MECHA_OK;
}